Bug 13932 - ASAN detected use after free dcerpc_interface_dealloc
ASAN detected use after free dcerpc_interface_dealloc
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.10.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-07 23:25 UTC by Gary Lockyer
Modified: 2019-08-06 07:41 UTC (History)
1 user (show)

See Also:


Attachments
ASAN error report (10.47 KB, text/plain)
2019-05-07 23:25 UTC, Gary Lockyer
no flags Details
Proposed patch for V4.10 (11.65 KB, patch)
2019-05-16 21:03 UTC, Gary Lockyer
abartlet: review-
gary: ci‑passed+
Details
Proposed patch for V4.10 v2 (13.09 KB, patch)
2019-05-22 21:10 UTC, Gary Lockyer
abartlet: review+
gary: ci‑passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Lockyer 2019-05-07 23:25:45 UTC
Created attachment 15129 [details]
ASAN error report

ASAN detected use after free
Comment 1 Gary Lockyer 2019-05-13 02:10:02 UTC
Fixed in master for 4.11, commit d65b7641c84976c5
Comment 2 Gary Lockyer 2019-05-15 20:57:43 UTC
Re-opening as it needs backporting to 4.10
Comment 3 Gary Lockyer 2019-05-16 21:03:39 UTC
Created attachment 15164 [details]
Proposed patch for V4.10

CI: https://gitlab.com/samba-team/devel/samba/pipelines/61540755
Comment 4 Andrew Bartlett 2019-05-21 23:59:09 UTC
Comment on attachment 15164 [details]
Proposed patch for V4.10

Clearly NACKing the problematic patch until the fix is in master
Comment 5 Gary Lockyer 2019-05-22 21:10:11 UTC
Created attachment 15181 [details]
Proposed patch for V4.10 v2

CI: https://gitlab.com/samba-team/devel/samba/pipelines/62512931
Comment 6 Andrew Bartlett 2019-07-01 22:46:46 UTC
Comment on attachment 15181 [details]
Proposed patch for V4.10 v2

Thanks!
Comment 7 Andrew Bartlett 2019-07-01 22:47:18 UTC
G'Day Karolin,

Please select for Samba 4.10.next!
Comment 8 Karolin Seeger 2019-07-08 11:36:12 UTC
(In reply to Andrew Bartlett from comment #7)
Pushed to autobuild-v4-10-test.
Comment 9 Karolin Seeger 2019-08-06 07:41:59 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to autobuild-v4-10-test.
Closing out bug report.

Thanks!